require 'sketchup'
require 'extensions'

module Arko
  unless file_loaded?(__FILE__)
    path = File.dirname(__FILE__)
    path.force_encoding('UTF-8') if path.respond_to?(:force_encoding)

    loader = File.join(path, "a_arko/arko_tool")
    
    ex = SketchupExtension.new('Arko AI', loader)
    ex.description = 'Arko AI - Rendering with artifial Intelligence'
    ex.version     = '1.0.0'
    ex.copyright   = 'Arko AI, LLC © 2022'
    ex.creator     = 'Arko AI'
    Sketchup.register_extension(ex, true)
    file_loaded(__FILE__)
  end
end
