Sketchup.require(File.join(__dir__,'arko_main') )
# load File.join(__dir__,'arko_main.rb')

module Arko
  toolbar = UI::Toolbar.new 'Arko'
  cmd = UI::Command.new('Launch Arko') do
    MainUIService.show_dialog
  end
  cmd.small_icon = 'dark32x32.png'
  cmd.large_icon = 'dark32x32.png'
  cmd.tooltip = 'Arko'
  cmd.status_bar_text = "Reimagine the rending process with the click of a button. That's ArkoAI."
  cmd.menu_text = 'Arko'

  toolbar = toolbar.add_item cmd
  toolbar.restore
  toolbar.show

  menu = UI.menu('Extensions')
  menu.add_item(cmd)
end
